View Issue Details

IDProjectCategoryView StatusLast Update
0004037GNUnetwebpagepublic2018-06-07 00:24
Reporterjm3Assigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformWeb / ChromeOSOS XOS Version10.10.5
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004037: broken (red) SSL lock on Gnunet.org due to weak (SHA-1) signatures
Descriptionwarning: This site uses a weak security configuration (SHA-1 signatures), so your connection may not be private.
Steps To Reproduceview gnunet.org in a modern browser, e.g. Google Chrome
Additional InformationSSL errors on the homepage of a framework for "secure peer-to-peer networking" robs the user of confidence. It's a small error but has a potentially big trust impact, especially on security-conscious users who are conditioned to check their browser's HTTPS/TLS status for sensitive pages.
TagsNo tags attached.

Activities

jm3

2015-10-28 22:23

reporter  

TLS-warning.png (50,037 bytes)
TLS-warning.png (50,037 bytes)

Christian Grothoff

2015-10-29 00:24

manager   ~0009826

Yep, that's our CA's fault. I asked, they're a bit, eh, problematic.
Will be fixed once EFF's CA is up in November...

jm3

2015-10-29 00:27

reporter   ~0009827

Awesome! Cool to see such a prompt response, thank you.

Christian Grothoff

2015-10-30 20:18

manager   ~0009866

Exciting news:

Greetings from Let's Encrypt, grothoff@gnunet.org.

Thank you for your interest in our beta program! We're excited to let you know that your domains (below) have been whitelisted, and you can now utilize an ACME client to obtain a certificate for them.


So I guess I have something to play with this weekend ;-).

Christian Grothoff

2015-10-30 22:25

manager   ~0009867

Ok, that's done.

Issue History

Date Modified Username Field Change
2015-10-28 22:23 jm3 New Issue
2015-10-28 22:23 jm3 File Added: TLS-warning.png
2015-10-29 00:24 Christian Grothoff Note Added: 0009826
2015-10-29 00:25 Christian Grothoff Assigned To => Christian Grothoff
2015-10-29 00:25 Christian Grothoff Status new => confirmed
2015-10-29 00:27 jm3 Note Added: 0009827
2015-10-30 20:18 Christian Grothoff Note Added: 0009866
2015-10-30 22:25 Christian Grothoff Note Added: 0009867
2015-10-30 22:25 Christian Grothoff Status confirmed => resolved
2015-10-30 22:25 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-10-30 22:25 Christian Grothoff Resolution open => fixed
2015-10-30 22:25 Christian Grothoff Product Version => SVN HEAD
2015-10-30 22:25 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed